Get a rule
Get details about an existing rule.
Authorization
BearerToken PagerDuty OAuth user Access Token
The developer should obtain a valid user-based bearer token by performing Classic User OAuth by following our public documentation: https://developer.pagerduty.com/docs/b2a19cce2867a-classic-user-o-auth
In: header
Path Parameters
The ID of the resource.
Header Parameters
Connected Jira instance signature token
This header contains a signature token that validates the connection between PagerDuty and a specific Jira instance. It must be included in all API requests.
Obtaining the signature token
Send an authenticated GET request to your Jira instance:
GET /plugins/servlet/pagerduty/signThe endpoint returns a JSON response containing the signature:
{ "signature": "eyJ0eXAiOiJK..." }Use the returned signature value in the x-pagerduty-jira-signature header for all subsequent API calls.
Note: Signature token is valid for 15 minutes after generation.
Response Body
application/json
application/json
application/json